package de.jottyfan.bico.modules.item;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import de.jottyfan.bico.modules.CommonController;

/**
 *
 * @author jotty
 *
 */
@Controller
public class ItemController  extends CommonController {

	@Autowired
	private ItemService service;

	@GetMapping("/item/{slot}")
	public String getItem(@PathVariable Integer slot, Model model) {
		model.addAttribute("bean", service.getItem(slot));
		return "/item";
	}
}
